%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-mkdirp
Version:        0.5.1
Release:        %mkrel 1
Summary:        Recursive directory creation module for Node.js

License:        MIT
Group:          Development/Other
URL:            https://github.com/substack/node-mkdirp
Source0:        https://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
BuildArch:      noarch

ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(mock-fs)
%endif


%description
Creates directories recursively, like `mkdir -p`.


%prep
%setup -q -n package
%nodejs_fixdep minimist "^1.2.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mkdirp
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/mkdirp
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc readme.markdown examples
%license LICENSE
%{nodejs_sitelib}/mkdirp



%changelog
* Tue May 17 2016 neoclust <neoclust> 0.5.1-1.mga6
+ Revision: 1016235
- New version 0.5.1

* Mon Feb 08 2016 umeabot <umeabot> 0.3.5-2.mga6
+ Revision: 950297
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 0.3.5-1.mga5
+ Revision: 794032
- imported package nodejs-mkdirp


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 0.3.5-1.mga5
- import from FC

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-2
- add macro for EPEL6 dependency generation

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- new upstream release 0.3.5

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.4-2
- add missing build section
- improve summary/description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.4-1
- new upstream release 0.3.4
- clean up for submission

* Wed May 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.2-1
- New upstream release 0.3.2

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-2
- guard Requires for F17 automatic depedency generation

* Mon Apr 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-1
- New upstream release 0.3.1

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-1
- new upstream release 0.3.0

* Thu Dec 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.1-1
- initial package
